Skip to main content

Overview

Use identities to decide who sends outbound messages from Enginy. The public API lets you list identities, inspect the mailboxes attached to each identity, update public profile fields, and automate the email signature.

Find an Identity

Call GET /v1/identities to list identities available to your API key workspace.
Each identity includes:

Update Profile Fields

Call PATCH /v1/identities/{identityId} to update public profile fields for one identity. This endpoint currently requires an API key with the ALL scope. Enginy has an IDENTITIES_READ scope for reads, but there is not yet an identity-specific write scope in the public API key model.
Writable fields: You only need to send the fields you want to change. At least one field is required.

Update Email Signature

Send signature as HTML. Enginy stores the exact HTML in signature and appends it to outbound emails sent from the identity.
Example response fields:

Clear Email Signature

Send signature: null to remove the signature.

Mailboxes

The email field on the identity is the primary identity email address, but it does not configure mailbox credentials by itself. Use the mailbox endpoints when you need to inspect or configure sending mailboxes:
  • GET /v1/identities/{identityId}/mailboxes
  • POST /v1/identities/{identityId}/mailboxes

Validation and Errors